Bug Hunting Session
Bug 51373 - Allow restart numbering in paragraph styles
Summary: Allow restart numbering in paragraph styles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2012-06-24 03:08 UTC by Angelo Borsotti
Modified: 2019-08-07 04:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
shows the problem of the ordered lists (9.26 KB, application/vnd.oasis.opendocument.text)
2012-07-05 11:35 UTC, Angelo Borsotti
Details
Document with numbering ok (13.04 KB, application/vnd.oasis.opendocument.text)
2012-12-17 13:21 UTC, ydutrieux
Details
ODT and PDF showing the 3 ordered list entry methods from Writer Guide v4.0. (61.75 KB, application/zip)
2013-11-19 14:33 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Borsotti 2012-06-24 03:08:22 UTC
Paragraph styles for numbered lists do not have a means to specify
that the numbering be restarted.
As an example take the predefined Numbering 1 Start style, and
apply it two times, to create two lists: the second one does not start
with 1 (or whatever is the first of the selected Numbering), but
continues the numbering of the last list. This forces the user to
restart manually the numbering each time it creates a new list that
is not related to the previous one (which is by far the commonest
case).
This should be solved introducing a control in the paragraph style
window that restarts numbering when the style is applied.
Comment 1 bfoman (inactive) 2012-07-05 05:19:46 UTC
Checked with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce. Applied Numbering in two separate actions - numbering restarted in second list.
Comment 2 bfoman (inactive) 2012-07-05 05:30:33 UTC
Additional comment:
I used Line numbering - Restart at this paragraph - Start with 1 option.
Comment 3 Angelo Borsotti 2012-07-05 11:35:12 UTC
Created attachment 63868 [details]
shows the problem of the ordered lists
Comment 4 Angelo Borsotti 2012-07-05 11:36:45 UTC
The attached document shows the problem. I created a new blank document,
then clicked on Numbering in the Styles and Formatting window to create
the first item of the first list. Pressing Enter, I created the second
item. Then I created a paragraph "bla bla bla" with default formatting
and then again an ordered list with Numbering. Note that the first
item of the second list starts at "3".
But I want it instead to be numbered at "1". To do it, I must apply
a local change to paragraph formatting (Numbering, restart).
This, instead, should be embedded into the Numbering style, much the
same as what the <ol> html tag does.
Comment 5 ydutrieux 2012-12-17 13:21:41 UTC
Created attachment 71650 [details]
Document with numbering ok

I think you can workaround this by using special numbering and styles.

Here a sample.
perhaps there are other methods...
Comment 6 Owen Genat (retired) 2013-11-19 14:33:00 UTC
Created attachment 89471 [details]
ODT and PDF showing the 3 ordered list entry methods from Writer Guide v4.0.

I am confirming this bug under Ubuntu 10.04 running v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a. Status set to NEW. There is a problem with the manner in which ordered list numbering is handled with respect to the use of styles (paragraph and list), as originally reported:

> Paragraph styles for numbered lists do not have a means to specify
> that the numbering be restarted.

This is correct. Only direct formatting (Format > Paragraph...) can be used to restart list numbering in styles. First a few corrections:

(In response to comment #2)
> I used Line numbering - Restart at this paragraph - Start with 1 option.

Line numbering is a separate facility to list numbering, regardless of the method used to number a list. The indicated settings have no effect on list numbering (nor should they).

(In response to comment #5)
> I think you can workaround this by using special numbering and styles.

Broadly speaking, yes, it is possible to workaround the issue as described e.g., by direct formatting. The sample provided in comment #5 however uses outline numbering via the Tools > Outline Numbering facility and sets different levels for the first and subsequent items (even though they are the same level). This is a hack.

There are three different methods of defining ordered lists and in the attachment I have indicated where these are described in the Writer Guide v4.0. The first two use direct formatting and work. The last one, of which I provide two examples, uses only paragraph and list styles, and exhibits the problem as reported. 

I will test these three methods under older versions of Writer if I get the chance over the coming days, to determine whether the behaviour as described has always been this way (likely), or is a regression (less likely).
Comment 7 QA Administrators 2015-04-19 03:20:24 UTC Comment hidden (obsolete)
Comment 8 Angelo Borsotti 2015-04-19 07:48:35 UTC
The problem is still present in release 4.4.
Someone suggested that it can be solved by defining a paragraph style
for the first item in a list and another for the following ones.
I think that this is a hack. The real solution is to have a paragraph
style that means: "list", and a paragraph style that mean: "item", much
the same as the html <ol> and <li>.
The current solution of having numbered paragraph styles allows to have
only one list in an entire document only, and to mimic several lists by
manually forcing restart numbering the first item.
Comment 9 Ulrich Windl 2015-08-31 09:01:08 UTC
(In reply to Angelo Borsotti from comment #8)
> The problem is still present in release 4.4.
> Someone suggested that it can be solved by defining a paragraph style
> for the first item in a list and another for the following ones.

That's the way it is documented for a long time. Before suggesting new features, try to make the existing features usable (as the original reporter did).

> I think that this is a hack. The real solution is to have a paragraph
> style that means: "list", and a paragraph style that mean: "item", much
> the same as the html <ol> and <li>.

Paragraph styles are not SGML. I see no need to define complex container structures like items consisting of lists, or empty lists, etc.

> The current solution of having numbered paragraph styles allows to have
> only one list in an entire document only, and to mimic several lists by
> manually forcing restart numbering the first item.

If the proposed fix were implemented, lists (at the top level at least) would work OK. Probably instead of unconditionally resetting the list numbering, the list numbering at the current nesting level should be reset.

The problem is still present in LO 4.4.5.
Comment 10 Andrew Watson 2016-01-14 11:56:08 UTC
The LibreOffice Writer Guide incorrectly says that exactly this feature exists in both LO 4.0 and LO 4.2 (i.e. that "Paragraph styles for numbered lists ... have a means to specify that the numbering be restarted.").

The Guide even shows screen shots of a Paragraph style window open at the "Outline and Numbering" tab showing a "Numbering: Restart at this paragraph" checkbox and "Start with" field:

Figure 205 on page 199 of LibreOffice 4.2 Writer Guide
https://wiki.documentfoundation.org/images/e/e6/WG42-WriterGuideLO.pdf

Figure 199 on page 187 of LibreOffice 4.0 Writer Guide
https://wiki.documentfoundation.org/images/3/35/WG40-WriterGuideLO.pdf

This checkbox and field are absent in my copies of LO 4.0.6.2 and LO 4.3.5.2 running on MacOS 10.5 and 10.6 (although there's a suspicious gap in that window under LO 4.0 where I suspect that checkbox used to be).

I downloaded the oldest LibreOffice version available (LO 3.3), and confirmed that this checkbox is absent there as well; hence this problem seems to have been inherited from OOo.

So this is not, in fact, a new feature request, but a feature that was once present (in OOo?), and is still documented in the LO Writer Guide.
Comment 11 QA Administrators 2017-03-06 13:49:20 UTC Comment hidden (obsolete)
Comment 12 Ulrich Windl 2017-03-06 14:19:58 UTC
Still present in LibreOffice_5.2.5_Win_x86.msi.
Comment 13 Tom Colley 2017-03-18 12:31:25 UTC
I can confirm the bug still occurs exactly as originally described. I am using:

LibreOffice Version: 5.3.0.3
OS: Ubuntu 14.04LTS 32 bit
Comment 14 Henrique SantAnna 2017-04-05 13:39:46 UTC
Can confirm this on 5.3.1.2.

Even checking the option to restart numbering on this paragraph, the numbering will not restart when the style is applied to another paragraph. 

The expected behavior is that when the option is checked the numbering should restart when the style is applied again to other paragraph in the document.
Comment 15 QA Administrators 2018-06-22 02:50:11 UTC Comment hidden (obsolete)
Comment 16 Angelo Borsotti 2018-06-22 15:11:41 UTC
I have verified that the problem is still present in Release 6.0.
Comment 17 John Statler 2018-08-06 02:40:15 UTC
I also confirm this exists.

Very frustrating to not have a style that will restart numbering.

I prefer style because it can follow another style without having to click on the numbering button.
Comment 18 QA Administrators 2019-08-07 04:46:04 UTC
Dear Angelo Borsotti,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug